org.apache.thrift.transport

## Class TFileTransport.Event

- java.lang.Object
- - org.apache.thrift.transport.TFileTransport.Event

- Enclosing class:
    TFileTransport

      public static class TFileTransport.Event
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFileTransport.Event(byte[] buf)` Initialize an event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `emit(byte[] buf, int offset, int ndesired)`
    `byte[]` | `getBuf()`
    `int` | `getRemaining()`
    `int` | `getSize()`
    `void` | `setAvailable(int sz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFileTransport.Event

          public TFileTransport.Event(byte[] buf)

      Initialize an event. Initially, it has no valid contents
      Parameters:
        `buf` - byte array buffer to store event

  - ### Method Detail

    - #### getBuf

          public byte[] getBuf()

    - #### getSize

          public int getSize()

    - #### setAvailable

          public void setAvailable(int sz)

    - #### getRemaining

          public int getRemaining()

    - #### emit

          public int emit(byte[] buf,
                 int offset,
                 int ndesired)